org.apache.maven.scm.provider.synergy.consumer

## Class SynergyGetTaskObjectsConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.synergy.consumer.SynergyGetTaskObjectsConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class SynergyGetTaskObjectsConsumer
      extends AbstractConsumer

  Mainly inspired from CruiseControl
  Version:
    $Id: SynergyGetTaskObjectsConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Julien Henry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OUTPUT_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynergyGetTaskObjectsConsumer(ScmLogger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `List` | `getFiles()`

    - ### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

      `getLogger, parseDate, parseDate, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OUTPUT_FORMAT

          public static final String OUTPUT_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SynergyGetTaskObjectsConsumer

          public SynergyGetTaskObjectsConsumer(ScmLogger logger)

  - ### Method Detail

    - #### getFiles

          public List getFiles()

      Returns:
        the entries

    - #### consumeLine

          public void consumeLine(String line)

Copyright © 2003–2015. All rights reserved.